{% extends 'base.html.twig' %}

{% block title %}Log in!
{% endblock %}

{% block body %}
	<form method="post">
		{% if error %}
			<div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
		{% endif %}

		{% if app.user %}
			<div class="mb-3">
				Vous êtes connecté,
				{{ app.user.userIdentifier }},
				<a href="{{ path('app_logout') }}">Logout</a>
			</div>
		{% endif %}

		<div class="container p-5">
			<h1 class="h3 mb-3 font-weight-normal text-center">Accéder à votre compte:</h1>
			<label for="inputUsername">Identifiant :</label>
			<input type="text" value="{{ last_username }}" name="username" id="inputUsername" class="form-control" autocomplete="username" required autofocus>
			<label for="inputPassword">Mots de passe :</label>
			<input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>

			<input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

			<div class="checkbox mb-3">
				<label>
					<input type="checkbox" name="_remember_me">
					Mémoriser mes informations
				</label>
			</div>

			<div class="d-flex justify-content-center">
				<button class="btn btn-lg btn-primary me-3" type="submit">
					S'identifier
				</button>
				<a href="{{ path('forgotten_password') }}">Mot de passe oublié ?</a>
			</div>


		</div>
	</form>

	{# read and display just one flash message type #}
	{% for message in app.flashes('danger') %}
		<p class="flash-danger text-danger fs-2 text-center">
			*
			{{ message }}
			*
		</p>

	{% endfor %}

	{# read and display just one flash message type #}
	{% for message in app.flashes('success') %}
		<p class="flash-success text-light fs-2 text-center">
			*
			{{ message }}
			*
		</p>

	{% endfor %}
{% endblock %}
